Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.twoplanar
Class TwoPlanarArcEagerFactory

    java.lang.Object
      org.maltparser.parser.algorithm.twoplanar.TwoPlanarFactory
          org.maltparser.parser.algorithm.twoplanar.TwoPlanarArcEagerFactory

All Implemented Interfaces:
  AbstractFeatureFactory, AbstractParserFactory

    public class TwoPlanarArcEagerFactory

extends TwoPlanarFactory

Author:
  Carlos Gomez Rodriguez

Field Summary

Fields inherited from class org.maltparser.parser.algorithm.twoplanar.TwoPlanarFactory
`algorithm, manager`

Constructor Summary
`TwoPlanarArcEagerFactory(Algorithm algorithm)`

Method Summary
`OracleGuide` | `makeOracleGuide(GuideUserHistory history)` Creates an oracle guide
`TransitionSystem` | `makeTransitionSystem()` Creates a transition system

Methods inherited from class org.maltparser.parser.algorithm.twoplanar.TwoPlanarFactory
`getAlgorithm, getManager, makeFunction, makeParserConfiguration, setAlgorithm, setManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwoPlanarArcEagerFactory

    public TwoPlanarArcEagerFactory(Algorithm algorithm)

Method Detail

### makeTransitionSystem

    public TransitionSystem makeTransitionSystem()
                                          throws MaltChainedException

  Description copied from interface: `AbstractParserFactory`
  Creates a transition system

  Returns:
    a transition system
  Throws:
    `MaltChainedException`

### makeOracleGuide

    public OracleGuide makeOracleGuide(GuideUserHistory history)
                                throws MaltChainedException

  Description copied from interface: `AbstractParserFactory`
  Creates an oracle guide

  Parameters:
    `history` - a reference to the history
  Returns:
    an oracle guide
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.